org.keycloak.representations.idm.authorization

## Class PermissionRequest

- java.lang.Object
- - org.keycloak.representations.idm.authorization.PermissionRequest

-     public class PermissionRequest
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionRequest()`
    `PermissionRequest(String resourceId, String... scopes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addScope(String... name)`
    `Map<String,List<String>>` | `getClaims()`
    `String` | `getResourceId()`
    `String` | `getResourceServerId()`
    `Set<String>` | `getScopes()`
    `void` | `setClaim(String name, String... value)`
    `void` | `setClaims(Map<String,List<String>> claims)`
    `void` | `setResourceId(String resourceSetId)`
    `void` | `setResourceServerId(String resourceServerId)`
    `void` | `setScopes(Set<String> scopes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionRequest

          public PermissionRequest(String resourceId,
                                   String... scopes)

    - #### PermissionRequest

          public PermissionRequest()

  - ### Method Detail

    - #### getResourceId

          public String getResourceId()

    - #### setResourceId

          public void setResourceId(String resourceSetId)

    - #### getScopes

          public Set<String> getScopes()

    - #### setScopes

          public void setScopes(Set<String> scopes)

    - #### setResourceServerId

          public void setResourceServerId(String resourceServerId)

    - #### getResourceServerId

          public String getResourceServerId()

    - #### getClaims

          public Map<String,List<String>> getClaims()

    - #### setClaims

          public void setClaims(Map<String,List<String>> claims)

    - #### setClaim

          public void setClaim(String name,
                               String... value)

    - #### addScope

          public void addScope(String... name)

Copyright © 2021 JBoss by Red Hat. All rights reserved.